> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Inbound Shipment

> Get the required, optional, and integration specific fields by calling the [integrations](/api-reference/mgmt/integrations) endpoint.



## OpenAPI

````yaml put /wms/inbound-shipments/{inbound_shipment_id}
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /wms/inbound-shipments/{inbound_shipment_id}:
    put:
      tags:
        - wms
        - Inbound Shipments
      summary: Update Inbound Shipment
      description: >-
        Get the required, optional, and integration specific fields by calling
        the [integrations](/api-reference/mgmt/integrations) endpoint.
      operationId: put_wms_update_inbound_shipment
      parameters:
        - in: path
          name: inbound_shipment_id
          schema:
            type: string
          required: true
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatewmsInboundShipmentInputSchema'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/wmsUpdateInboundShipmentResponse'
          description: Successful response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    UpdatewmsInboundShipmentInputSchema:
      type: object
      properties: {}
      additionalProperties: false
      oneOf:
        - $ref: '#/components/schemas/UpdateInboundShipmentSchema--Base__Schema--'
        - $ref: >-
            #/components/schemas/UpdatewmsInboundShipment--BlueBox__-_IDrive__Fulfillment_---
        - $ref: '#/components/schemas/UpdatewmsInboundShipment--Clarus--'
        - $ref: >-
            #/components/schemas/UpdatewmsInboundShipment--Cin7__Core__-_Dear__Systems_---
        - $ref: '#/components/schemas/UpdatewmsInboundShipment--Deposco--'
        - $ref: >-
            #/components/schemas/UpdatewmsInboundShipment--Extensiv__-_3PL__Central_---
        - $ref: >-
            #/components/schemas/UpdatewmsInboundShipment--Flexport__-_Deliverr_---
        - $ref: '#/components/schemas/UpdatewmsInboundShipment--GoBolt--'
        - $ref: '#/components/schemas/UpdatewmsInboundShipment--Helm__WMS--'
        - $ref: '#/components/schemas/UpdatewmsInboundShipment--Hive--'
        - $ref: '#/components/schemas/UpdatewmsInboundShipment--Infoplus--'
        - $ref: >-
            #/components/schemas/UpdatewmsInboundShipment--Cart.com__-_Jazz__Central_---
        - $ref: '#/components/schemas/UpdatewmsInboundShipment--Logiwa--'
        - $ref: '#/components/schemas/UpdatewmsInboundShipment--Logiwa__IO--'
        - $ref: '#/components/schemas/UpdatewmsInboundShipment--MasonHub--'
        - $ref: '#/components/schemas/UpdatewmsInboundShipment--Ongoing__WMS--'
        - $ref: '#/components/schemas/UpdatewmsInboundShipment--Packiyo--'
        - $ref: '#/components/schemas/UpdatewmsInboundShipment--WMS__Sandbox--'
        - $ref: '#/components/schemas/UpdatewmsInboundShipment--ShipBob--'
        - $ref: '#/components/schemas/UpdatewmsInboundShipment--ShipHero--'
        - $ref: '#/components/schemas/UpdatewmsInboundShipment--ShipMonk--'
        - $ref: '#/components/schemas/UpdatewmsInboundShipment--ShipStream--'
        - $ref: '#/components/schemas/UpdatewmsInboundShipment--Shipwire--'
        - $ref: '#/components/schemas/UpdatewmsInboundShipment--SKUSavvy--'
        - $ref: >-
            #/components/schemas/UpdatewmsInboundShipment--Linnworks__Core__-_SKUVault_---
        - $ref: '#/components/schemas/UpdatewmsInboundShipment--Sojo--'
        - $ref: '#/components/schemas/UpdatewmsInboundShipment--Unleashed--'
        - $ref: '#/components/schemas/UpdatewmsInboundShipment--Warehance--'
        - $ref: '#/components/schemas/UpdatewmsInboundShipment--Whiplash__-_Ryder_---'
      title: UpdatewmsInboundShipmentInputSchema
    wmsUpdateInboundShipmentResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/WmsInboundShipmentApiItemSchema'
        id:
          type: string
          description: The ID of the object that has been created or modified
          example: id
        unused_fields:
          type: array
          description: Unused fields
          items:
            type: string
            description: ''
      required:
        - id
        - unused_fields
      additionalProperties: false
      title: wmsUpdateInboundShipmentResponse
    HTTPError:
      properties:
        error:
          type: string
        id:
          type: string
          description: The ID of the item that wasn't found.
      required:
        - error
      type: object
      title: HTTPError
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    UpdateInboundShipmentSchema--Base__Schema--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        supplier_object:
          $ref: '#/components/schemas/WriteSupplierSchema'
          description: The supplier from which the shipment is being sent.
        purchase_order_number:
          type: string
          description: >-
            The number of the purchase order associated with the inbound
            shipment.
          example: po_number_123
        expected_arrival_date:
          type: string
          format: date-time
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10T01:02:03Z'
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        tracking_number:
          type: string
          description: Tracking number associated with the inbound shipment.
          example: tracking_number
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - sku: null
              expected_quantity: 0
          items:
            $ref: '#/components/schemas/UpdateInboundShipmentLineItemSchema'
      additionalProperties: true
      title: Base Schema
    UpdatewmsInboundShipment--BlueBox__-_IDrive__Fulfillment_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        expected_arrival_date:
          type: string
          format: date-time
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10T01:02:03Z'
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        ship_from_address:
          $ref: '#/components/schemas/ShipFromAddressBluebox'
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - sku: null
              gtin: gtin
              expected_quantity: 0
              unit_cost: 1
          items:
            $ref: '#/components/schemas/WmsInboundShipmentUpdateLineItembluebox'
        purchase_order_number:
          type: string
          description: >-
            The number of the purchase order associated with the inbound
            shipment.
          example: po_number_123
        tracking_number:
          type: string
          description: Tracking number associated with the inbound shipment.
          example: tracking_number
        carton_count:
          type: integer
          description: The number of cartons that are being shipped in the shipment
          example: 1
      required:
        - line_items
        - purchase_order_number
        - warehouse_id
      additionalProperties: false
      title: BlueBox (IDrive Fulfillment)
    UpdatewmsInboundShipment--Clarus--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        purchase_order_number:
          type: string
          description: >-
            The number of the purchase order associated with the inbound
            shipment.
          example: po_number_123
        expected_arrival_date:
          type: string
          format: date-time
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10T01:02:03Z'
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - inventory_item_id: '108'
              expected_quantity: 0
              lot: null
              storage_unit_quantity: 0
          items:
            $ref: '#/components/schemas/WmsInboundShipmentUpdateLineItemclarus'
        notes:
          type: array
          description: List of notes associated with the inbound shipment.
          example:
            - note_1
            - note_2
          items:
            type: string
            description: Note
            example: note
      additionalProperties: false
      title: Clarus
    UpdatewmsInboundShipment--Cin7__Core__-_Dear__Systems_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - sku: null
              expected_quantity: 0
              received_quantity: 0
              unit_cost: 0
          items:
            $ref: '#/components/schemas/Update'
      required:
        - warehouse_id
      additionalProperties: false
      title: Cin7 Core (Dear Systems)
    UpdatewmsInboundShipment--Deposco--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        expected_arrival_date:
          type: string
          format: date-time
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10T01:02:03Z'
        status:
          type: string
          enum:
            - open
            - in-transit
            - receiving
            - received
            - cancelled
            - other
          description: >-
            The status of the inbound shipment. See the [inbound shipment
            information](info) for more details.
          example: open
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - sku: null
              expected_quantity: 0
              received_quantity: 0
              unit_cost: 0
              inbound_lpn: null
          items:
            $ref: '#/components/schemas/WmsInboundShipmentUpdateLineItemdeposco'
        order_source:
          type: string
          description: Name of the external system from which the inbound originated.
          example: my_system
      additionalProperties: false
      title: Deposco
    UpdatewmsInboundShipment--Extensiv__-_3PL__Central_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        purchase_order_number:
          type: string
          description: >-
            The number of the purchase order associated with the inbound
            shipment.
          example: po_number_123
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the inbound
            shipment. Can be passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        supplier_object:
          $ref: '#/components/schemas/WriteSupplierSchema'
          description: The supplier from which the shipment is being sent.
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - sku: null
              expected_quantity: 0
              external_id: null
              warehouse_location_id: null
              lot_number: null
          items:
            $ref: >-
              #/components/schemas/WmsInboundShipmentUpdateLineItemextensiv-3pl-central
        tracking_number:
          type: string
          description: Tracking number associated with the inbound shipment.
          example: tracking_number
        expected_arrival_date:
          type: string
          format: date-time
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10T01:02:03Z'
        notes:
          type: array
          description: List of notes associated with the inbound shipment.
          example:
            - note_1
            - note_2
          items:
            type: string
            description: Note
            example: note
      required:
        - line_items
      additionalProperties: false
      title: Extensiv (3PL Central)
    UpdatewmsInboundShipment--Flexport__-_Deliverr_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        ship_from_address:
          $ref: '#/components/schemas/ShipFromAddressFlexport'
        tracking_number:
          type: string
          description: The tracking number for the inbound shipment.
      additionalProperties: false
      title: Flexport (Deliverr)
    UpdatewmsInboundShipment--GoBolt--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        purchase_order_number:
          type: string
          description: >-
            The number of the purchase order associated with the inbound
            shipment.
          example: po_number_123
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        expected_arrival_date:
          type: string
          format: date
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10'
        shipment_type:
          type: string
          default: parcel
          enum:
            - parcel
            - pallet
            - floor_loaded
            - container
            - drop_off
          description: The shipment type for your inbound, defaults to parcel
        box_packing_option:
          type: string
          default: multiple_sku_per_box
          enum:
            - one_sku_per_box
            - multiple_sku_per_box
          description: Box packing option, defaults to multiple_sku_per_box
        box_expected_quantity:
          type: integer
          default: 1
          description: Expected number of boxes, defaults to 1
          example: 0
        pallet_packing_option:
          type: string
          default: multiple_sku_per_pallet
          enum:
            - one_sku_per_pallet
            - multiple_sku_per_pallet
          description: >-
            Pallet packing option, defaults to multiple_sku_per_pallet if
            shipment_type is pallet
        container_size:
          type: string
          enum:
            - 20_ft
            - 40_ft
          description: Container size, required for container shipments
        pallet_expected_quantity:
          type: integer
          default: 1
          description: Expected number of pallets, defaults to 1 if shipment_type is pallet
          example: 0
        reference_number:
          type: string
          description: ''
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - sku: null
              expected_quantity: 0
          items:
            $ref: '#/components/schemas/WmsInboundShipmentCreateLineItemgobolt'
      additionalProperties: false
      title: GoBolt
    UpdatewmsInboundShipment--Helm__WMS--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        expected_arrival_date:
          type: string
          format: date-time
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10T01:02:03Z'
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - sku: null
              expected_quantity: 0
          items:
            $ref: '#/components/schemas/WmsInboundShipmentUpdateLineItemhelm-wms'
      additionalProperties: false
      title: Helm WMS
    UpdatewmsInboundShipment--Hive--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        purchase_order_number:
          type: string
          description: >-
            The number of the purchase order associated with the inbound
            shipment.
          example: po_number_123
        expected_arrival_date:
          type: string
          format: date-time
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10T01:02:03Z'
        delivery_option:
          type: string
          enum:
            - courier
            - dropoff
            - hive_freight
            - postal
          description: Delivery method for the shipment
          example: courier
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - sku: null
              expected_quantity: 0
              unit_cost: 0
          items:
            $ref: '#/components/schemas/WmsInboundShipmentUpdateLineItemhive'
        supplier_object:
          $ref: '#/components/schemas/WriteSupplierSchema'
          description: The supplier from which the shipment is being sent.
      additionalProperties: false
      title: Hive
    UpdatewmsInboundShipment--Infoplus--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the inbound
            shipment. Can be passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details. Used for 3PL accounts.
          example: warehouse_customer_id
        purchase_order_number:
          type: string
          description: >-
            The number of the purchase order associated with the inbound
            shipment.
          example: po_number_123
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        supplier_object:
          $ref: '#/components/schemas/WriteSupplierSchema'
          description: The supplier from which the shipment is being sent.
        type:
          type: string
          enum:
            - Kit
            - Normal
            - Transfer
          description: Type of inbound shipment
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - sku: null
              expected_quantity: 0
              unit_cost: 0
          items:
            $ref: '#/components/schemas/WmsInboundShipmentUpdateLineIteminfoplus'
      required:
        - line_items
        - purchase_order_number
        - supplier_object
        - type
        - warehouse_id
      additionalProperties: false
      title: Infoplus
    UpdatewmsInboundShipment--Cart.com__-_Jazz__Central_---:
      type: object
      properties:
        expected_arrival_date:
          type: string
          format: date-time
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10T01:02:03Z'
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      required:
        - expected_arrival_date
      additionalProperties: false
      title: Cart.com (Jazz Central)
    UpdatewmsInboundShipment--Logiwa--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        notes:
          type: array
          description: List of notes associated with the inbound shipment.
          example:
            - note_1
            - note_2
          items:
            type: string
            description: Note
            example: note
      additionalProperties: false
      title: Logiwa
    UpdatewmsInboundShipment--Logiwa__IO--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        purchase_order_number:
          type: string
          description: >-
            The number of the purchase order associated with the inbound
            shipment.
          example: po_number_123
        supplier_object:
          $ref: '#/components/schemas/WriteSupplierSchema'
          description: The supplier from which the shipment is being sent.
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        expected_arrival_date:
          type: string
          format: date-time
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10T01:02:03Z'
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - sku: null
              expected_quantity: 0
              pack_type: Each
              lot_number: null
              expiration_date: null
          items:
            $ref: '#/components/schemas/WmsInboundShipmentUpdateLineItemlogiwa-io'
      required:
        - line_items
        - purchase_order_number
        - supplier_object
        - warehouse_id
      additionalProperties: false
      title: Logiwa IO
    UpdatewmsInboundShipment--MasonHub--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        purchase_order_number:
          type: string
          description: >-
            The number of the purchase order associated with the inbound
            shipment.
          example: po_number_123
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        expected_arrival_date:
          type: string
          format: date-time
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10T01:02:03Z'
        supplier_object:
          $ref: '#/components/schemas/WriteSupplierSchema'
          description: The supplier from which the shipment is being sent.
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - sku: null
              expected_quantity: 0
              box_ids: null
          items:
            $ref: '#/components/schemas/WmsInboundShipmentUpdateLineItemmasonhub'
        tracking_number:
          type: string
          description: Tracking number associated with the inbound shipment.
          example: tracking_number
        comments:
          type: string
          description: Free-form comments about the inbound shipment.
          example: These shipments are often not labeled.
        box_ids:
          type: array
          description: List of box IDs associated with the inbound shipment.
          example:
            - box_1
            - box_2
          items:
            type: string
            description: Box ID
            example: box_1
      required:
        - expected_arrival_date
        - line_items
        - purchase_order_number
        - supplier_object
        - warehouse_id
      additionalProperties: false
      title: MasonHub
    UpdatewmsInboundShipment--Ongoing__WMS--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        purchase_order_number:
          type: string
          description: >-
            The number of the purchase order associated with the inbound
            shipment.
          example: po_number_123
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        supplier_object:
          $ref: '#/components/schemas/WriteSupplierSchema'
          description: The supplier from which the shipment is being sent.
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - sku: null
              expected_quantity: 0
          items:
            $ref: '#/components/schemas/WmsInboundShipmentUpdateLineItemongoing'
      required:
        - line_items
        - purchase_order_number
        - supplier_object
        - warehouse_id
      additionalProperties: false
      title: Ongoing WMS
    UpdatewmsInboundShipment--Packiyo--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        purchase_order_number:
          type: string
          description: >-
            The number of the purchase order associated with the inbound
            shipment.
          example: po_number_123
        expected_arrival_date:
          type: string
          format: date-time
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10T01:02:03Z'
        notes:
          type: array
          description: List of notes associated with the inbound shipment.
          example:
            - note_1
            - note_2
          items:
            type: string
            description: Note
            example: note
        tracking_number:
          type: string
          description: Tracking number associated with the inbound shipment.
          example: tracking_number
      additionalProperties: false
      title: Packiyo
    UpdatewmsInboundShipment--WMS__Sandbox--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        supplier_object:
          $ref: '#/components/schemas/SupplierIdSchema'
          description: The supplier from which the shipment is being sent.
        purchase_order_number:
          type: string
          description: >-
            The number of the purchase order associated with the inbound
            shipment.
          example: po_16301
        expected_arrival_date:
          type: string
          format: date-time
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10T01:02:03Z'
        warehouse_id:
          type: string
          enum:
            - N/A - Connect an account to see options
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        tracking_number:
          type: string
          description: Tracking number associated with the inbound shipment.
          example: tracking_number
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - sku: null
              expected_quantity: 1
          items:
            $ref: '#/components/schemas/SandboxUpdateInboundShipmentLineItems'
      additionalProperties: false
      title: WMS Sandbox
    UpdatewmsInboundShipment--ShipBob--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        status:
          type: string
          enum:
            - cancelled
          description: Status of the shipment
      required:
        - status
      additionalProperties: false
      title: ShipBob
    UpdatewmsInboundShipment--ShipHero--:
      type: object
      properties:
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the inbound
            shipment. Can be passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details. Use this when you are a 3PL acting on
            behalf of one of your customers.
          example: warehouse_customer_id
        expected_arrival_date:
          type: string
          format: date-time
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10T01:02:03Z'
        shipping_price:
          type: number
          description: Price of the shipment.
          example: 0
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - sku: sku
              expected_quantity: 1
              expected_weight: 1
              expected_weight_unit: lb
              unit_cost: 1
              external_id: external_id
          items:
            $ref: >-
              #/components/schemas/WmsInboundShipmentUpdateLineItemshipheroUpdate
        status:
          type: string
          enum:
            - open
            - received
            - cancelled
          description: >-
            The status of the inbound shipment. See the [inbound shipment
            information](info) for more details.
          example: open
        tracking_number:
          type: string
          description: Tracking number associated with the inbound shipment.
          example: tracking_number
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      additionalProperties: false
      title: ShipHero
    UpdatewmsInboundShipment--ShipMonk--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        supplier_object:
          $ref: '#/components/schemas/WriteSupplierSchema'
          description: The supplier from which the shipment is being sent.
        expected_arrival_date:
          type: string
          format: date-time
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10T01:02:03Z'
        handling_unit_type:
          type: string
          enum:
            - small_boxes
            - single_sku_pallet
            - mixed_sku_pallet
            - container_20_palletized
            - container_20_non_palletized
            - container_40_palletized
            - container_40_non_palletized
            - container_53_palletized
            - container_53_non_palletized
            - unknown
          description: Unit handling type for inbound shipment.
        handling_unit_quantity:
          type: integer
          description: Number of handling units.
          example: 0
        notes:
          type: array
          description: List of notes associated with the inbound shipment.
          example:
            - note_1
            - note_2
          items:
            type: string
            description: Note
            example: note
        tracking_numbers:
          type: array
          description: Tracking numbers for the inbound shipment.
          example:
            - tracking_number_1
            - tracking_number_2
          items:
            type: string
            description: Tracking number
            example: tracking_number
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - sku: null
              expected_quantity: 0
              lot_id: null
              lot_expiration_date: null
          items:
            $ref: '#/components/schemas/WmsInboundShipmentUpdateLineItemshipmonk'
      required:
        - expected_arrival_date
        - handling_unit_quantity
        - handling_unit_type
        - supplier_object
        - warehouse_id
      additionalProperties: false
      title: ShipMonk
    UpdatewmsInboundShipment--ShipStream--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        supplier_object:
          $ref: '#/components/schemas/WriteSupplierSchema'
          description: The supplier from which the shipment is being sent.
        expected_arrival_date:
          type: string
          format: date
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10'
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - sku: null
              expected_quantity: 0
          items:
            $ref: '#/components/schemas/WmsInboundShipmentUpdateLineItemshipstream'
        tracking_number:
          type: string
          description: Tracking number associated with the inbound shipment.
          example: tracking_number
      additionalProperties: false
      title: ShipStream
    UpdatewmsInboundShipment--Shipwire--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        expected_arrival_date:
          type: string
          format: date
          description: Date the shipment is expected to reach the warehouse.
          example: '2024-01-01'
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - sku: null
              expected_quantity: 0
          items:
            $ref: '#/components/schemas/WmsInboundShipmentWriteLineItemshipwire'
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        ship_from_address:
          $ref: '#/components/schemas/ShipFromAddressShipwire'
        tracking_number:
          type: string
          description: Tracking number associated with the inbound shipment.
          example: tracking_number
      additionalProperties: false
      title: Shipwire
    UpdatewmsInboundShipment--SKUSavvy--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        status:
          type: string
          enum:
            - cancelled
          description: >-
            The status of the inbound shipment. See the [inbound shipment
            information](info) for more details.
          example: cancelled
      required:
        - status
      additionalProperties: false
      title: SKUSavvy
    UpdatewmsInboundShipment--Linnworks__Core__-_SKUVault_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        supplier_object:
          $ref: '#/components/schemas/WriteSupplierSchema'
          description: The supplier from which the shipment is being sent.
        purchase_order_number:
          type: string
          description: >-
            The number of the purchase order associated with the inbound
            shipment.
          example: po_number_123
        expected_arrival_date:
          type: string
          format: date-time
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10T01:02:03Z'
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - sku: null
              expected_quantity: 0
              unit_cost: 0
          items:
            $ref: '#/components/schemas/WmsInboundShipmentUpdateLineItemskuvault'
        status:
          type: string
          enum:
            - open
            - in-transit
            - receiving
            - received
            - cancelled
            - other
          description: >-
            The status of the inbound shipment. See the [inbound shipment
            information](info) for more details.
          example: open
        tracking_number:
          type: string
          description: Tracking number associated with the inbound shipment.
          example: tracking_number
      required:
        - purchase_order_number
        - supplier_object
      additionalProperties: false
      title: Linnworks Core (SKUVault)
    UpdatewmsInboundShipment--Sojo--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        expected_arrival_date:
          type: string
          format: date
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10'
        purchase_order_number:
          type: string
          description: >-
            The number of the purchase order associated with the inbound
            shipment.
          example: po_number_123
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - inventory_item_id: null
              quantity: 0
          items:
            $ref: '#/components/schemas/WmsInboundShipmentUpdateLineItemsojo'
      additionalProperties: false
      title: Sojo
    UpdatewmsInboundShipment--Unleashed--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - sku: null
              expected_quantity: 0
              unit_cost: 0
          items:
            $ref: '#/components/schemas/WmsInboundShipmentUpdateLineItemunleashed'
      additionalProperties: false
      title: Unleashed
    UpdatewmsInboundShipment--Warehance--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        expected_arrival_date:
          type: string
          format: date-time
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10T01:02:03Z'
        tracking_number:
          type: string
          description: Tracking number associated with the inbound shipment.
          example: tracking_number
      additionalProperties: false
      title: Warehance
    UpdatewmsInboundShipment--Whiplash__-_Ryder_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        supplier_object:
          $ref: '#/components/schemas/WriteSupplierSchema'
          description: The supplier from which the shipment is being sent.
        expected_arrival_date:
          type: string
          format: date-time
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10T01:02:03Z'
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the inbound
            shipment. Can be passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        purchase_order_number:
          type: string
          description: >-
            The number of the purchase order associated with the inbound
            shipment.
          example: po_number_123
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - sku: null
              expected_quantity: 2
              lot_number: null
              expiration_date: null
          items:
            $ref: '#/components/schemas/WmsInboundShipmentUpdateLineItemwhiplash'
        tracking_number:
          type: string
          description: Tracking number associated with the inbound shipment.
          example: tracking_number
      additionalProperties: false
      title: Whiplash (Ryder)
    WmsInboundShipmentApiItemSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the inbound shipment.
          example: inbound_id
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the inbound
            shipment. Can be passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        created_date:
          type: string
          format: date-time
          description: The date the inbound shipment was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the inbound shipment was last updated.
          example: '2022-01-02T05:05:05Z'
        purchase_order_number:
          type:
            - string
            - 'null'
          description: >-
            The number of the purchase order associated with the inbound
            shipment.
          example: po_number_123
        status:
          type: string
          enum:
            - open
            - in-transit
            - receiving
            - received
            - cancelled
            - other
          description: >-
            The status of the inbound shipment. See the [inbound shipment
            information](info) for more details.
          example: open
        raw_status:
          type:
            - string
            - 'null'
          description: The raw status (if available) returned directly from the WMS.
          example: raw_status
        supplier_object:
          anyOf:
            - $ref: '#/components/schemas/InboundShipmentSupplier'
            - type: 'null'
        expected_arrival_date:
          type:
            - string
            - 'null'
          format: date-time
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10T01:02:03Z'
        warehouse_id:
          type:
            - string
            - 'null'
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - inventory_item_id: item_id
              sku: sku
              expected_quantity: 2
              received_quantity: 1
              unit_cost: 1
              external_id: external_sku
          items:
            $ref: '#/components/schemas/WmsInboundShipmentLineItem'
        receipts:
          type: array
          description: List of receiving events associated with the inbound shipment.
          example:
            - id: receipt_id
              arrived_date: '2022-10-10T01:02:03Z'
              line_items:
                - inventory_item_id: item_id
                  sku: sku
                  quantity: 1
          items:
            $ref: '#/components/schemas/InboundReceipt'
        ship_from_address:
          $ref: '#/components/schemas/ShipFromAddress'
        tracking_numbers:
          type: array
          description: List of tracking numbers associated with the inbound shipment.
          example:
            - tracking_number_1
            - tracking_number_2
          items:
            type: string
            description: Tracking number
            example: tracking_number
        notes:
          type: array
          description: List of notes associated with the inbound shipment.
          example:
            - note_1
            - note_2
          items:
            type: string
            description: Note
            example: note
        external_system_url:
          type:
            - string
            - 'null'
          description: >-
            URL link to the inbound shipment in the external system (WMS/Freight
            etc).
          example: https://example.com/inboundshipment/123
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        additional_fields:
          type: object
          description: Integration-specific fields
          example:
            key: value
          additionalProperties: {}
        trackstar_created_date:
          type: string
          format: date-time
          description: ''
        trackstar_updated_date:
          type: string
          format: date-time
          description: ''
      required:
        - additional_fields
        - created_date
        - expected_arrival_date
        - external_system_url
        - id
        - line_items
        - notes
        - purchase_order_number
        - raw_status
        - receipts
        - ship_from_address
        - status
        - supplier_object
        - tracking_numbers
        - trackstar_created_date
        - trackstar_tags
        - trackstar_updated_date
        - updated_date
        - warehouse_customer_id
        - warehouse_id
      additionalProperties: false
      title: WmsInboundShipmentApiItemSchema
    WriteSupplierSchema:
      type: object
      properties: {}
      additionalProperties: false
      oneOf:
        - $ref: '#/components/schemas/SupplierId'
        - $ref: '#/components/schemas/WriteSupplierName'
      discriminator:
        propertyName: type
        mapping:
          id:
            $ref: '#/components/schemas/SupplierId'
          name:
            $ref: '#/components/schemas/WriteSupplierName'
      title: WriteSupplierSchema
    UpdateInboundShipmentLineItemSchema:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
      additionalProperties: true
      title: UpdateInboundShipmentLineItemSchema
    ShipFromAddressBluebox:
      type: object
      properties:
        full_name:
          type: string
          description: ''
          example: John Doe
        company:
          type: string
          description: ''
          example: Company
        address1:
          type: string
          description: ''
          example: 123 Main St
        address2:
          type: string
          description: ''
          example: Apt 2
        city:
          type: string
          description: ''
          example: San Francisco
        state:
          type: string
          description: ''
          example: CA
        postal_code:
          type: string
          description: ''
          example: '94105'
        country:
          type: string
          description: ''
          example: United States
      required:
        - address1
        - city
        - country
        - postal_code
        - state
      additionalProperties: false
      title: ShipFromAddressBluebox
    WmsInboundShipmentUpdateLineItembluebox:
      type: object
      properties:
        sku:
          type: string
          description: ''
        gtin:
          type: string
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        expected_quantity:
          type: integer
          description: ''
          example: 0
        unit_cost:
          type: number
          description: The cost per product that is charged by the manufacturer
          example: 1
      required:
        - expected_quantity
        - gtin
        - sku
      additionalProperties: false
      title: WmsInboundShipmentUpdateLineItembluebox
    WmsInboundShipmentUpdateLineItemclarus:
      type: object
      properties:
        inventory_item_id:
          type: string
          description: ''
          example: '108'
        expected_quantity:
          type: integer
          minimum: 1
          description: ''
          example: 0
        lot:
          type: string
          description: ''
        storage_unit_quantity:
          type: integer
          minimum: 1
          description: ''
          example: 0
      required:
        - expected_quantity
        - inventory_item_id
      additionalProperties: false
      title: WmsInboundShipmentUpdateLineItemclarus
    Update:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          minimum: 1
          description: ''
          example: 0
        received_quantity:
          type: integer
          minimum: 1
          description: ''
          example: 0
        unit_cost:
          type: number
          description: ''
          example: 0
      required:
        - expected_quantity
        - received_quantity
        - sku
      additionalProperties: false
      title: Update
    WmsInboundShipmentUpdateLineItemdeposco:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
        received_quantity:
          type: integer
          description: ''
          example: 0
        unit_cost:
          type: number
          description: ''
          example: 0
        inbound_lpn:
          type: string
          description: ''
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsInboundShipmentUpdateLineItemdeposco
    WmsInboundShipmentUpdateLineItemextensiv-3pl-central:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
        external_id:
          type:
            - string
            - 'null'
          description: ''
        warehouse_location_id:
          type:
            - string
            - 'null'
          description: ''
        lot_number:
          type:
            - string
            - 'null'
          description: ''
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsInboundShipmentUpdateLineItemextensiv-3pl-central
    ShipFromAddressFlexport:
      type: object
      properties:
        full_name:
          type: string
          description: ''
          example: John Doe
        company:
          type: string
          description: ''
          example: Company
        address1:
          type: string
          description: ''
          example: 123 Main St
        address2:
          type: string
          description: ''
          example: Apt 2
        city:
          type: string
          description: ''
          example: San Francisco
        state:
          type: string
          description: ''
          example: CA
        postal_code:
          type: string
          description: ''
          example: '94105'
        country:
          type: string
          description: ''
          example: United States
      required:
        - address1
        - city
        - country
        - full_name
        - postal_code
        - state
      additionalProperties: false
      title: ShipFromAddressFlexport
    WmsInboundShipmentCreateLineItemgobolt:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsInboundShipmentCreateLineItemgobolt
    WmsInboundShipmentUpdateLineItemhelm-wms:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsInboundShipmentUpdateLineItemhelm-wms
    WmsInboundShipmentUpdateLineItemhive:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
        unit_cost:
          type: number
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsInboundShipmentUpdateLineItemhive
    WmsInboundShipmentUpdateLineIteminfoplus:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
        unit_cost:
          type: number
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsInboundShipmentUpdateLineIteminfoplus
    WmsInboundShipmentUpdateLineItemlogiwa-io:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
        pack_type:
          type: string
          description: 'The pack type of the line item (default: Each)'
          example: Each
        lot_number:
          type:
            - string
            - 'null'
          description: Lot/batch number for the items.
        expiration_date:
          type:
            - string
            - 'null'
          description: Expiration date for the lot in ISO format.
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsInboundShipmentUpdateLineItemlogiwa-io
    WmsInboundShipmentUpdateLineItemmasonhub:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
        box_ids:
          type: array
          description: List of box IDs associated with the line item. Not required.
          items:
            type: string
            description: Box ID
            example: box_1
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsInboundShipmentUpdateLineItemmasonhub
    WmsInboundShipmentUpdateLineItemongoing:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsInboundShipmentUpdateLineItemongoing
    SupplierIdSchema:
      type: object
      properties:
        supplier_id:
          type: string
          description: The ID of the supplier.
          example: supplier_id
      required:
        - supplier_id
      additionalProperties: false
      title: SupplierIdSchema
    SandboxUpdateInboundShipmentLineItems:
      type: object
      properties:
        sku:
          type: string
          enum:
            - N/A - Connect an account to see options
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 1
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: SandboxUpdateInboundShipmentLineItems
    WmsInboundShipmentUpdateLineItemshipheroUpdate:
      type: object
      properties:
        sku:
          type: string
          description: >-
            Cannot add new skus to line items, but can update fields for
            existing skus.
          example: sku
        expected_quantity:
          type: integer
          description: The number of units expected to be received
          example: 1
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsInboundShipmentUpdateLineItemshipheroUpdate
    WmsInboundShipmentUpdateLineItemshipmonk:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type:
            - integer
            - 'null'
          description: ''
          example: 0
        lot_id:
          type: string
          description: Lot number of the items in the box.
        lot_expiration_date:
          type: string
          format: date-time
          description: Lot expiration date for the items in the box.
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsInboundShipmentUpdateLineItemshipmonk
    WmsInboundShipmentUpdateLineItemshipstream:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsInboundShipmentUpdateLineItemshipstream
    WmsInboundShipmentWriteLineItemshipwire:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsInboundShipmentWriteLineItemshipwire
    ShipFromAddressShipwire:
      type: object
      properties:
        address1:
          type: string
          description: ''
          example: 123 Main St
        address2:
          type: string
          description: ''
          example: Apt 2
        city:
          type: string
          description: ''
          example: San Francisco
        state:
          type: string
          description: ''
          example: CA
        postal_code:
          type: string
          description: ''
          example: '94105'
        country:
          type: string
          description: ''
          example: United States
      required:
        - address1
        - address2
        - city
        - country
        - postal_code
        - state
      additionalProperties: false
      title: ShipFromAddressShipwire
    WmsInboundShipmentUpdateLineItemskuvault:
      type: object
      properties:
        sku:
          type: string
          description: >-
            If you pass in an AlternateSKU, SkuVault will redirect it to the
            Primary SKU.
        expected_quantity:
          type: integer
          description: ''
          example: 0
        unit_cost:
          type: number
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsInboundShipmentUpdateLineItemskuvault
    WmsInboundShipmentUpdateLineItemsojo:
      type: object
      properties:
        inventory_item_id:
          type: string
          description: ''
        quantity:
          type: integer
          description: ''
          example: 0
      required:
        - inventory_item_id
        - quantity
      additionalProperties: false
      title: WmsInboundShipmentUpdateLineItemsojo
    WmsInboundShipmentUpdateLineItemunleashed:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
        unit_cost:
          type: number
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsInboundShipmentUpdateLineItemunleashed
    WmsInboundShipmentUpdateLineItemwhiplash:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: Total quantity of the item expected to be received.
          example: 2
        lot_number:
          type: string
          description: Lot number for the items.
        expiration_date:
          type: string
          description: Expiration date for the lot in ISO format.
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsInboundShipmentUpdateLineItemwhiplash
    InboundShipmentSupplier:
      type: object
      properties:
        supplier_id:
          type: string
          description: The ID of the supplier.
          example: supplier_id
        supplier_name:
          type:
            - string
            - 'null'
          description: The name of the supplier.
          example: supplier_name
      required:
        - supplier_id
        - supplier_name
      additionalProperties: false
      title: InboundShipmentSupplier
    WmsInboundShipmentLineItem:
      type: object
      properties:
        inventory_item_id:
          type: string
          description: >-
            Can be passed into the
            [Inventory](/api-reference/wms-api/inventory/get-item) endpoint for
            more details.
          example: item_id
        sku:
          type:
            - string
            - 'null'
          description: ''
          example: sku
        expected_quantity:
          type: integer
          description: Total quantity of the item expected to be received.
          example: 2
        received_quantity:
          type: integer
          description: Total quantity of the item that has been received.
          example: 1
        unit_cost:
          type:
            - number
            - 'null'
          description: The cost per product that is charged by the manufacturer.
          example: 1
        external_id:
          type:
            - string
            - 'null'
          description: >-
            An identifier from an external system. e.g. vendor sku, external id,
            reference number, etc..
          example: external_sku
      required:
        - expected_quantity
        - external_id
        - inventory_item_id
        - received_quantity
        - sku
        - unit_cost
      additionalProperties: false
      title: WmsInboundShipmentLineItem
    InboundReceipt:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the receiving event.
          example: receipt_id
        arrived_date:
          type: string
          format: date-time
          description: Date the items arrived.
          example: '2022-10-10T01:02:03Z'
        line_items:
          type: array
          description: List of line items included in the receiving event.
          example:
            - inventory_item_id: item_id
              sku: sku
              quantity: 1
          items:
            $ref: '#/components/schemas/InboundReceiptLineItem'
      required:
        - arrived_date
        - id
        - line_items
      additionalProperties: false
      title: InboundReceipt
    ShipFromAddress:
      type: object
      properties:
        address1:
          type:
            - string
            - 'null'
          description: ''
          example: 123 Main St
        address2:
          type:
            - string
            - 'null'
          description: ''
          example: Apt 2
        address3:
          type:
            - string
            - 'null'
          description: ''
          example: Floor 3
        city:
          type:
            - string
            - 'null'
          description: ''
          example: New York
        state:
          type:
            - string
            - 'null'
          description: ''
          example: NY
        postal_code:
          type:
            - string
            - 'null'
          description: ''
          example: '10001'
        country:
          type:
            - string
            - 'null'
          description: ''
          example: United States
      required:
        - address1
        - address2
        - address3
        - city
        - country
        - postal_code
        - state
      additionalProperties: false
      title: ShipFromAddress
    SupplierId:
      type: object
      properties:
        supplier_id:
          type: string
          description: The ID of the supplier.
          example: supplier_id
      required:
        - supplier_id
      additionalProperties: false
      title: SupplierId
    WriteSupplierName:
      type: object
      properties:
        supplier_name:
          type: string
          description: >-
            The name of the supplier. If supplier ID is provided, that will take
            precedence over this.
          example: supplier_name
      required:
        - supplier_name
      additionalProperties: false
      title: WriteSupplierName
    InboundReceiptLineItem:
      type: object
      properties:
        inventory_item_id:
          type: string
          description: >-
            Can be passed into the
            [Inventory](/api-reference/wms-api/inventory/get-item) endpoint for
            more details.
          example: item_id
        sku:
          type:
            - string
            - 'null'
          description: ''
          example: sku
        quantity:
          type: integer
          description: Total quantity of the item that has been received.
          example: 1
      required:
        - inventory_item_id
        - quantity
        - sku
      additionalProperties: false
      title: InboundReceiptLineItem

````